Bug 483213 - avr-gcc need updating, 4.1.2 -> 4.3.3
avr-gcc need updating, 4.1.2 -> 4.3.3
Product: Fedora
Classification: Fedora
Component: avr-gcc (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-30 03:55 EST by Jonas Jonsson
Modified: 2009-02-19 13:33 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.3.3-1
Doc Type: Bug Fix
Doc Text:
Will work if avr-libc is also updated to 1.6.4-1
Story Points: ---
Clone Of:
Last Closed: 2009-02-19 13:33:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonas Jonsson 2009-01-30 03:55:35 EST
It would be really nice to have an updated avr-gcc toolchain.
Comment 1 Thibault North 2009-01-30 17:35:41 EST
I'm (slowly) working on it.
Thanks for the reminder. Time is hard to find these days :-)
Comment 2 Thibault North 2009-02-18 09:25:12 EST
avr-gcc 4.3.3-1 is in F10 updates right now, please give me feedback, couldn't test it.
Comment 3 Jonas Jonsson 2009-02-19 03:50:52 EST
Testing with an AT90CAN128, but it doesn't work with the current avr-libc, wich also needs updating. It seems that it searches for the crt in avr51/ instead of avr5/ wich is where it's located in current version of avr-libc.

If I manually compile avr-libc-1.6.4 it works.
Comment 4 Thibault North 2009-02-19 07:22:18 EST
Thanks for the feedback.
Here is the new avr-libc:
Could you confirm that it works ?

The update will arrive very soon into F10 and devel.
Comment 5 Jonas Jonsson 2009-02-19 09:37:39 EST
Now it works, thanks.
Comment 6 Thibault North 2009-02-19 13:33:51 EST
Thanks for testing. Closing this now.
Comment 7 Thibault North 2009-02-19 13:33:51 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Will work if avr-libc is also updated to 1.6.4-1

Note You need to log in before you can comment on or make changes to this bug.